Crashpad

Public Attributes | List of all members
crashpad::CrashReportDatabase::NewReport Struct Reference

A crash report that is in the process of being written. More...

`#include "client/crash_report_database.h"`

## Public Attributes
FileHandle | handle
| The file handle to which the report should be written.
UUID | uuid
base::FilePath | path
| The path to the crash report being written.

## Detailed Description

A crash report that is in the process of being written.

An instance of this struct should be created via PrepareNewCrashReport() and destroyed with FinishedWritingCrashReport().

## Member Data Documentation

## ◆ uuid

UUID crashpad::CrashReportDatabase::NewReport::uuid

A unique identifier by which this report will always be known to the database.

The documentation for this struct was generated from the following file:

- client/crash_report_database.h